package emps;

import java.util.List;

public class F2_WypiszBogatych {
    public static void main(String[] args) {
        List<Employee> emps = ObslugaCSV.wczytaj();

        emps.stream()
                .filter(emp -> emp.getSalary() >= 10_000)
                .forEach(emp -> System.out.printf("%s %s (%s) zarabia %d%n",
                    emp.getFirstName(), emp.getLastName(), emp.getJobTitle(), emp.getSalary()));


        // Można też najpierw zmapować na Stringi, a potem wypisać
//        emps.stream()
//                .filter(emp -> emp.getSalary() >= 10_000)
//                .map(emp -> String.format("%s %s (%s) zarabia %d",
//                        emp.getFirstName(), emp.getLastName(), emp.getJobTitle(), emp.getSalary()))
//                .forEach(System.out::println);
    }
}
